メインコンテンツへスキップ
POST /api/v1/forward/sessions/{session_id}/archive セッションをアーカイブします。アーカイブ済みのセッションは既定で一覧結果から除外されます。

Headers

HeaderRequiredDescription
AuthorizationYesBearer <PAT>
Idempotency-KeyNo安全でないリクエスト向けの任意の冪等性キー。

Path parameters

ParameterTypeRequiredDescription
session_idstringYesSession ID。

Example request

curl -s -X POST 'https://api.qoder.com/api/v1/forward/sessions/sess_xxx/archive' \
  -H "Authorization: Bearer $QODER_PAT"

Example response

HTTP 200 OK
{
  "id": "sess_xxx",
  "type": "session",
  "identity_id": "idn_xxx",
  "template": {
    "id": "tmpl_support",
    "type": "template",
    "name": "Support assistant",
    "model": "ultimate",
    "version": 3
  },
  "source_type": "api",
  "status": "idle",
  "title": "Customer support session",
  "metadata": {},
  "stats": {
    "active_seconds": 0,
    "duration_seconds": 0
  },
  "usage": {
    "credits": 13.0
  },
  "archived_at": "2026-06-22T12:00:00Z",
  "created_at": "2026-06-22T10:00:00Z",
  "updated_at": "2026-06-22T12:00:00Z"
}

Response fields

archived_at が設定されたアーカイブ済みの Session オブジェクトを返します。

Errors

HTTPTypeCodeTrigger
401authentication_errorauthentication_requiredPAT が無効または期限切れ。
404not_found_errorsession_not_foundSession が存在しない。
409conflict_errorsession_archivedSession はすでにアーカイブ済み。

Notes

  • 現在の設計では復元用のエンドポイントは提供していません。
  • アーカイブ済みのセッションをクエリするには、List Sessions で include_archived=true を使用してください。

セッションの一覧取得

セッションの取得